# Get bucket

```http
GET /v1/tenants/{tenantId}/buckets/{bucketName}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetBucketInfo`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:s3:buckets`

Returns bucket details for the given tenant and bucket name

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `bucketName` (string, required) — Bucket name

## Responses

### 200 — Bucket

Content type: `application/json`

- `canBeDeleted` (boolean)
- `createdAt` (string)
- `defaultRetention` (string, one of: `off`, `governance`, `compliance`)
- `encrypted` (boolean)
- `name` (string)
- `objectLock` (boolean)
- `retentionDuration` (integer)
- `retentionDurationType` (string, one of: `d`, `y`)
- `shared` (boolean)
- `versioning` (boolean)

### 404 — Not found

Content type: `application/json`

- `message` (string)
